package com.zxhl.main.page.presenter

import com.zxhl.cms.net.model.box.TabEntity
import com.zxhl.main.page.contract.ShopContract

/**
 * @author (wangXuewei)
 * @datetime 2022-03-01 14:23 GMT+8
 * @detail :
 */
class ShopPresenter : ShopContract.Presenter {
    private val mView: ShopContract.View


    constructor(mView: ShopContract.View) {
        this.mView = mView
    }

    override fun getShopTab() {
        var tabItem = TabEntity();
        tabItem.id = "1";
        tabItem.name = "全部";
        var tabList: List<TabEntity> = listOf(tabItem);
        mView.setShopTab(tabList)
    }
}